8b8335e5e4
- Drop several patches which are included in the new upstream release - Add a patch to make the initscript returncodes LSB compliant (bug 431884)
31 lines
874 B
Diff
31 lines
874 B
Diff
--- lm_sensors/prog/init/lm_sensors.init 2008-02-07 11:37:22.000000000 -0500
|
|
+++ lm_sensors/prog/init/lm_sensors.init 2008-02-07 11:41:04.000000000 -0500
|
|
@@ -40,15 +40,15 @@
|
|
|
|
# Don't bother if /proc/sensors still doesn't exist, kernel doesn't have
|
|
# support for sensors.
|
|
- [ -e /proc/sys/dev/sensors ] || exit 0
|
|
+ [ -e /proc/sys/dev/sensors ] || exit 6
|
|
|
|
# If sensors was not already running, unload the module...
|
|
[ -e /var/lock/subsys/lm_sensors ] || /sbin/modprobe -r i2c-proc >/dev/null 2>&1
|
|
fi
|
|
|
|
CONFIG=/etc/sysconfig/lm_sensors
|
|
-[ -r "$CONFIG" ] || exit 0
|
|
-grep '^MODULE_' $CONFIG >/dev/null 2>&1 || exit 0
|
|
+[ -r "$CONFIG" ] || exit 6
|
|
+grep '^MODULE_' $CONFIG >/dev/null 2>&1 || exit 6
|
|
|
|
# Load config file
|
|
. "$CONFIG"
|
|
@@ -147,7 +147,7 @@
|
|
;;
|
|
*)
|
|
echo "Usage: $0 {start|stop|status|restart|reload|condrestart}"
|
|
- exit 1
|
|
+ exit 3
|
|
esac
|
|
|
|
exit $RETVAL
|